import { PartyName } from "../../../index.js";
import { IfActive } from "../../../../application/index.js";
import classes from './styles.module.scss';
import ContestMeta from '../ContestMeta';
const ContestTitle = function ContestTitle(props) {
  const {
    contestId,
    party
  } = props;
  return <div className={classes.container}>
      <h3 className={classes.title}>
        <PartyName id={party} format="abbr" />
      </h3>
      <IfActive active={!!contestId}>
        <ContestMeta contestId={contestId} />
      </IfActive>

    </div>;
};
export default ContestTitle;